package org.rcisoft.business.memGoldCoinFlow.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.memGoldCoinFlow.entity.MemGoldCoinFlow;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2025年2月7日 上午10:11:22.
 */
public interface MemGoldCoinFlowService {

    /**
    * 保存 金币流水表
    * @param memGoldCoinFlow
    * @return
    */
    CyPersistModel persist(MemGoldCoinFlow memGoldCoinFlow);

    /**
    * 删除 金币流水表
    * @param memGoldCoinFlow
    * @return
    */
    CyPersistModel remove(MemGoldCoinFlow memGoldCoinFlow);

    /**
    * 逻辑删除 金币流水表
    * @param memGoldCoinFlow
    * @return
    */
    CyPersistModel removeLogical(MemGoldCoinFlow memGoldCoinFlow);

    /**
    * 修改 金币流水表
    * @param memGoldCoinFlow
    * @return
    */
    CyPersistModel merge(MemGoldCoinFlow memGoldCoinFlow);

    /**
    * 根据id查询 金币流水表
    * @param id
    * @return
    */
    MemGoldCoinFlow findById(int id);

    /**
    * 分页查询 金币流水表
    * @param memGoldCoinFlow
    * @return
    */
    IPage<MemGoldCoinFlow> findAllByPagination(CyPageInfo<MemGoldCoinFlow> paginationUtility,
              MemGoldCoinFlow memGoldCoinFlow);


    /**
    * 查询list 金币流水表
    * @param memGoldCoinFlow
    * @return
    */
    List<MemGoldCoinFlow> findAll(MemGoldCoinFlow memGoldCoinFlow);


    /**
    * 导出金币流水表
    * @return
    */
    List<MemGoldCoinFlow> export(MemGoldCoinFlow memGoldCoinFlow);

    /**
     * 查询当前用户金币余额
     */
    Integer balance();
}
